
var table = API.getTable("items");
if( table==null ) {
	table = API.createTable("items");
	table.createColumn("Name", "string");
	table.createColumn("Description", "string");
	table.createColumn("Quantity", "integer");
}


function callback(dialog) {
	dialog.setEnabled("info", true);
	dialog.setEnabled("count", true);
	
	var name = dialog.getValue("name");
	if( name==null || String(name).length<1 ) {
		dialog.setMessage("Please provide a valid name for the item", 3);
		dialog.setEnabled("info", false);
		dialog.setEnabled("count", false);
		return;
	}
	
	var count = dialog.getValue("count");
	if( count==null || Number(count)<1 ) {
		dialog.setMessage("Items count should be greater than 0", 2);
		return;
	}
	
	dialog.setMessage("Ready to insert " + name,0);
}


var dialog = GUI.createUserDialog();
dialog.
    setLayoutColumns(2, true).
    setDefaultSize(450, 300).
    setResizable(true).
    setTitle("Item Dialog").
    addLabel("lbl1", 1, "Name of the Item").addTextBox("name", 1).
    addLabel("lbl2", 1, "Description of the Item").addTextBox("info", 1, true).
    addLabel("lbl3", 1, "Counter").addSpinner("count", 1, 1, 100, 1);
    
dialog.setValidation("callback");

while( dialog.open()==0 ) {
	// insert in table
	var name = dialog.getValue("name");
	var info = dialog.getValue("info");
	var count = dialog.getValue("count");
	if( name==null || count==null || String(name).length<1 || Number(count)<1 )
		continue;
	
	var row = table.createRow();
	row.setValue("Name", name);
	row.setValue("Quantity", count);
	
	if( info!=null )
		row.setValue("Description", info);
}

